aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2014-05-14 00:37:49 +0200
committerMattias Andrée <maandree@operamail.com>2014-05-14 00:37:49 +0200
commit7ec8b8e204c780431db50de3d9b1fbba9ae2ce51 (patch)
tree600737a1e96f765f9180f80f76c506d76d5193b7 /test
parentm fix (diff)
downloadmds-7ec8b8e204c780431db50de3d9b1fbba9ae2ce51.tar.gz
mds-7ec8b8e204c780431db50de3d9b1fbba9ae2ce51.tar.bz2
mds-7ec8b8e204c780431db50de3d9b1fbba9ae2ce51.tar.xz
add test script
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'test')
-rwxr-xr-xtest22
1 files changed, 22 insertions, 0 deletions
diff --git a/test b/test
new file mode 100755
index 0000000..0529ee6
--- /dev/null
+++ b/test
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+cd "$(dirname "$0")"
+
+# Because bin/mds has setuid on all used libraries need to be in a path
+# that is trusted by the dynamic linker. If it still says that the file
+# is not found, add /usr/local/lib to /etc/ld.so.conf.
+if [ ! -e bin/libmdsserver.so ]; then
+ make DEBUG=y
+fi
+if [ ! -e /usr/local/lib/libmdsserver.so ]; then
+ sudo cp bin/libmdsserver.so /usr/local/lib/libmdsserver.so
+elif [ ! "$(cat /usr/local/lib/libmdsserver.so | sha256sum)" = "$(cat bin/libmdsserver.so | sha256sum)" ]; then
+ sudo cp bin/libmdsserver.so /usr/local/lib/libmdsserver.so
+fi
+
+export PATH="$(pwd)/test.d:${PATH}"
+export XDG_CONFIG_HOME="$(pwd)/test.d"
+
+bin/mds
+